/// <reference types="react" />
import PropTypes from "prop-types";
import { ButtonProps } from "../Button";
export interface ButtonGroupProps {
    buttons: ButtonProps[];
    className?: string;
    color?: "blue" | "green" | "red";
}
export declare const ButtonGroup: {
    ({ buttons, className, color }: ButtonGroupProps): JSX.Element;
    propTypes: {
        buttons: PropTypes.Validator<any[]>;
        className: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
    };
    defaultProps: {
        className: string;
        color: string;
    };
};
